function loadselitemsfile()

%   loadselitemsfile

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION. 


global filepath filename dim anzahldims anzahlstimuli paramat filenamecell filenamestatus vergleichecell faktorstring stufenvec anzahlfaktoren...
    dim vergleichecell selectfilemonitor anzahldims anzahlstimuli paramat filenamecell filenamestatus
[loadfilename,loadfilepath]=uigetfile('.sim','Bitte Datei auswählen:');
loadfile=[loadfilepath,loadfilename];
stufenvecstatus=0;

if isequal(loadfilename,0)|isequal(loadfilepath,0)
    msgbox('File not found!','Fehler')
    return
end

fid=fopen(loadfile,'rt');
vergleichecell=cell(1);
j=1;
a=1;
linestring=fgetl(fid);
while isstr(linestring) & ~strcmp(linestring,'')
    vergleichecell{j}=linestring;
    j=j+1;
    linestring=fgetl(fid);
end

if strcmp(linestring,'')
stufenvecstatus=1;
linestring=fgetl(fid);
j=1;
while isstr(linestring) & ~strcmp(linestring,'')
    stufenvec(j,1)=str2num(linestring);
    j=j+1;
    linestring=fgetl(fid);
end
anzahlfaktoren=size(stufenvec,1);
end


if strcmp(linestring,'')
linestring=fgetl(fid);
end
warning off

while linestring~=-1
if linestring~=-1 & ~isempty(linestring)
filesepind=findstr(filesep,linestring);
filename=linestring(filesepind(end)+1:end);
filepath=linestring(1:filesepind(end));
end
linestring=fgetl(fid);
end


fclose(fid);






%------------------------------------------------
faktorstufenmenu=findobj('tag','faktorauswahl');
set(faktorstufenmenu,'Enable','on');
faktorenedit=findobj('tag','faktorenedit');
set(faktorenedit,'string',num2str(anzahlfaktoren));

stufenedit=findobj('tag','stufenedit');

if stufenvecstatus==1
set(stufenedit,'string',num2str(stufenvec(1)));
end

set(stufenedit,'Enable','on');



cellstr=cell(1);
cell1auswahl = findobj('Tag','cell1auswahl');
cell2auswahl = findobj('Tag','cell2auswahl');
set(cell1auswahl,'String',cellstr);
set(cell2auswahl,'String',cellstr);

set(faktorstufenmenu,'Value',1);
faktorstring=cell(anzahlfaktoren,1);
faktorstring{1}='faktor1';
for j=2:anzahlfaktoren
    faktorstring{j}=['faktor',num2str(j),'_',num2str(stufenvec(j))];
end

%------------------------------------------------------

selupdatestufen;

set(faktorstufenmenu,'String',faktorstring);
haureinbutton = findobj('Tag','haureinbutton');
set(haureinbutton,'Enable','on');
vergleichemonitor = findobj('Tag','vergleichemonitor');
set(vergleichemonitor,'string',vergleichecell);
set(vergleichemonitor,'Enable','on');
set(vergleichemonitor,'Enable','on');
loeschenbutton = findobj('Tag','loeschenbutton');
set(loeschenbutton,'Enable','on');


selfilewaehlen;

return